From 6caaaeb5b9be5ebcdc88b614bf23ff412749f7da Mon Sep 17 00:00:00 2001
From: Timo Schmid <coding@bluec0re.eu>
Date: Thu, 20 Feb 2014 15:43:20 +0100
Subject: [PATCH] fix parseInt2 expected number

checkEmptyParameter has read first number and didn't put them back.
parseInt2 reads ',' and complains about missing number.
---
 gsmlib/gsm_parser.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gsmlib/gsm_parser.cc b/gsmlib/gsm_parser.cc
index 6b055cd..fb616d4 100644
--- a/gsmlib/gsm_parser.cc
+++ b/gsmlib/gsm_parser.cc
@@ -50,8 +50,8 @@ bool Parser::checkEmptyParameter(bool allowNoParameter) throw(GsmException)
       else
 	throwParseException(_("expected parameter"));
 
-      putBackChar();
     }
+  putBackChar();
   return false;
 }
 
